Mailinglist Archive: opensuse-bugs (4295 mails)

< Previous Next >
[Bug 1039034] New: no ODBC support in MariaDB Server
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 15 May 2017 08:37:06 +0000
  • Message-id: <bug-1039034-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1039034


Bug ID: 1039034
Summary: no ODBC support in MariaDB Server
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 42.2
Hardware: Other
OS: openSUSE 42.2
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Other
Assignee: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
Reporter: haenig@xxxxxxxxxx
QA Contact: qa-bugs@xxxxxxx
Found By: ---
Blocker: ---

when trying to create an ODBC table with the CONNECT engine (in reality a
'link' to a MS SQL Database Table) the command fails with 'Unsupported table
type ODBC':

MariaDB [testdb]> create table MSSQL_CData engine=CONNECT `table_type`='ODBC'
tabname='CData' connection='DSN=MSSQLDB;UID=username;PWD=password' ;
ERROR 1105 (HY000): Unsupported table type ODBC


ldd should show a dependency to unixodbc libs which it doesn't:

mysql-test:~ # ldd /usr/lib64/mysql/plugin/ha_connect.so
linux-vdso.so.1 (0x00007ffcbc096000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f94c88e1000)
libz.so.1 => /lib64/libz.so.1 (0x00007f94c86cb000)
libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007f94c835f000)
libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f94c7fd6000)
libm.so.6 => /lib64/libm.so.6 (0x00007f94c7cd9000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f94c7ac1000)
libc.so.6 => /lib64/libc.so.6 (0x00007f94c771e000)
/lib64/ld-linux-x86-64.so.2 (0x00005651365c7000)
libdl.so.2 => /lib64/libdl.so.2 (0x00007f94c751a000)
liblzma.so.5 => /usr/lib64/liblzma.so.5 (0x00007f94c72f0000)


there has been a similar debian bug report
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=814944

as well as upstream
https://jira.mariadb.org/browse/MDEV-9684

according to the latter the issue should have been fixed as of 10.0.24 which
for Leap 42.2 (as well as Leap42.1, openSuSE 13.2) is not:

mysql-test:~ # rpm -qf /usr/lib64/mysql/plugin/ha_connect.so
mariadb-10.0.29-18.1.x86_64

mysql-test:~ # rpm -qi mariadb-10.0.29-18.1.x86_64
Name : mariadb
Version : 10.0.29
Release : 18.1
Architecture: x86_64
Install Date: Do 11 Mai 2017 15:14:28 CEST

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages